package com.wechat.model.dto;

import javax.validation.constraints.NotNull;

/**
* @author jadyn
* @version 创建时间：2021-01-12 15:46
*  类说明
*/

public class SubscribedPositionsDto {
	
    private Integer positionId;
    
    private String positionName;
	
    private Integer depdId;

    private Integer positionGrade;
    
    @NotNull(message="部门信息不能为空|Department information can not be empty.")
	public Integer getDepdId() {
		return depdId;
	}

	public void setDepdId(Integer depdId) {
		this.depdId = depdId;
	}

	public Integer getPositionGrade() {
		return positionGrade;
	}

	public void setPositionGrade(Integer positionGrade) {
		this.positionGrade = positionGrade;
	}

	@NotNull(message="职位信息不能为空|Position information can not be empty.")
	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}
	
}
